﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace correcaoprova2_ex1
{
    class Program
    {
        public abstract class Assinaturas
        {
             public abstract void imprimirAssinatura();
        }

        public class Amigo : Assinaturas
        {

            public override  void imprimirAssinatura()
            {
                Console.WriteLine("[ ] 's\nJoão de Almeida");
            }
        }

        public class Colegas_de_Trabalho : Assinaturas
        {
            public override  void imprimirAssinatura()
            {
                Console.WriteLine("Atenciosamente,\nJoão de Almeida\nRamal 3455");
            }
        }

        public class Parente : Assinaturas
        {
            public override  void imprimirAssinatura()
            {
                Console.WriteLine("Até Mais,\nJoão de Almeida");
            }
        }

        public class Outros : Assinaturas
        {
            public override void imprimirAssinatura()
            {
                Console.WriteLine("Atenciosamente,\nJoão de Almeida\njoao.almeida@empresax.com.br");
            }
        }
 

        static void Main()
        {
            string opc;
            Console.WriteLine("Digite\n1 - Amigos\n2 - Colegas de Trabalho\n3 - Parentes\n4 - outros");
            Console.WriteLine("Escolha uma opção: ");
            opc = Console.ReadLine();
            if (opc == "1")
            {
                Amigo ass = new Amigo();
                ass.imprimirAssinatura();
            }
            else
                if (opc == "2")
                {
                    Colegas_de_Trabalho ass = new Colegas_de_Trabalho();
                    ass.imprimirAssinatura();
                }
                else
                    if (opc == "3")
                    {
                        Parente ass = new Parente();
                        ass.imprimirAssinatura();

                    }
                    else
                        if (opc == "4")
                        {
                            Outros ass = new Outros();
                            ass.imprimirAssinatura();
                        }
                        else
                            Console.WriteLine("Opção inválida");
            Console.ReadKey();
        }
    }
}
